from PyQt5.QtWidgets import QWidget, QVBoxLayout, QComboBox


class LoggingSelectionMenu(QWidget):
    def __init__(self):
        super().__init__()

        layout = QVBoxLayout()
        self.setLayout(layout)

        self.available_logging_variables = []

        self.cbs = [QComboBox(), QComboBox(), QComboBox(), QComboBox(),
                    QComboBox()]

        for i in range(0, len(self.cbs)):
            lst = ["Logging Variable " + str(i+1)]
            lst.extend(self.available_logging_variables)
            self.cbs[i].addItems(lst)
            layout.addWidget(self.cbs[i], i+1)
            self.cbs[i].currentIndexChanged.connect(
                self.selection_change_callback)

    def get_axis_of_signal(self, signal_name: str):

        for i in range(0, len(self.cbs)):
            if signal_name == self.cbs[i].currentText():
                return i+1

    def update_available_logging_variables(self, variables_list: list):
        self.available_logging_variables = []
        for variable in variables_list:
            for sub_variable in variable:
                self.available_logging_variables.append(sub_variable)
        self.selection_change_callback()

    def selection_change_callback(self):

        selected_signals = [
            self.cbs[0].currentText(), self.cbs[1].currentText(),
            self.cbs[2].currentText(), self.cbs[3].currentText(),
            self.cbs[4].currentText()
        ]

        modified_selection_signals = []

        for i in range(0, len(self.available_logging_variables)):
            if not (self.available_logging_variables[i] in selected_signals):
                modified_selection_signals.append(
                    self.available_logging_variables[i])

        # cb1
        for i in range(0, len(self.cbs)):

            self.cbs[i].currentIndexChanged.disconnect(
                self.selection_change_callback)

            signal = self.cbs[i].currentText()

            items = ["Logging Variable " + str(i+1)]
            items.extend(modified_selection_signals)
            if signal != ("Logging Variable " + str(i+1)):
                items.append(signal)

            self.cbs[i].clear()
            self.cbs[i].addItems(items)
            self.cbs[i].setCurrentText(signal)

            self.cbs[i].currentIndexChanged.connect(
                self.selection_change_callback)
